# Uses of Class
org.bukkit.entity.memory.MemoryKey

Packages that use MemoryKey
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.entity.memory
Classes concerning an entity's persistent memory.

## Uses of MemoryKey in org.bukkit

Fields in org.bukkit with type parameters of type MemoryKey
Modifier and Type
Field
Description
`static final Registry<MemoryKey>`
Registry.`MEMORY_MODULE_TYPE`
Memory Keys.

## Uses of MemoryKey in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type MemoryKey
Modifier and Type
Method
Description
`<T> T`
LivingEntity.`getMemory(@NotNull MemoryKey<T> memoryKey)`
Returns the value of the memory specified.
`<T> void`
LivingEntity.`setMemory(@NotNull MemoryKey<T> memoryKey, T memoryValue)`
Sets the value of the memory specified.

## Uses of MemoryKey in org.bukkit.entity.memory

Fields in org.bukkit.entity.memory declared as MemoryKey
Modifier and Type
Field
Description
`static final MemoryKey<Boolean>`
MemoryKey.`ADMIRING_DISABLED`
`static final MemoryKey<Boolean>`
MemoryKey.`ADMIRING_ITEM`
`static final MemoryKey<UUID>`
MemoryKey.`ANGRY_AT`
`static final MemoryKey<Boolean>`
MemoryKey.`GOLEM_DETECTED_RECENTLY`
`static final MemoryKey<Boolean>`
MemoryKey.`HAS_HUNTING_COOLDOWN`
`static final MemoryKey<Location>`
MemoryKey.`HOME`
`static final MemoryKey<Boolean>`
MemoryKey.`HUNTED_RECENTLY`
`static final MemoryKey<Boolean>`
MemoryKey.`IS_TEMPTED`
`static final MemoryKey<Integer>`
MemoryKey.`ITEM_PICKUP_COOLDOWN_TICKS`
`static final MemoryKey<Location>`
MemoryKey.`JOB_SITE`
`static final MemoryKey<Long>`
MemoryKey.`LAST_SLEPT`
`static final MemoryKey<Long>`
MemoryKey.`LAST_WOKEN`
`static final MemoryKey<Long>`
MemoryKey.`LAST_WORKED_AT_POI`
`static final MemoryKey<Integer>`
MemoryKey.`LIKED_NOTEBLOCK_COOLDOWN_TICKS`
`static final MemoryKey<Location>`
MemoryKey.`LIKED_NOTEBLOCK_POSITION`
`static final MemoryKey<UUID>`
MemoryKey.`LIKED_PLAYER`
`static final MemoryKey<Integer>`
MemoryKey.`LONG_JUMP_COOLING_DOWN`
`static final MemoryKey<Location>`
MemoryKey.`MEETING_POINT`
`static final MemoryKey<Integer>`
MemoryKey.`PLAY_DEAD_TICKS`
`static final MemoryKey<Location>`
MemoryKey.`POTENTIAL_JOB_SITE`
`static final MemoryKey<Integer>`
MemoryKey.`RAM_COOLDOWN_TICKS`
`static final MemoryKey<Integer>`
MemoryKey.`TEMPTATION_COOLDOWN_TICKS`
`static final MemoryKey<Boolean>`
MemoryKey.`UNIVERSAL_ANGER`
Methods in org.bukkit.entity.memory that return MemoryKey
Modifier and Type
Method
Description
`static @Nullable MemoryKey`
MemoryKey.`getByKey(@NotNull NamespacedKey namespacedKey)`
Returns a `MemoryKey` by a `NamespacedKey`.
Methods in org.bukkit.entity.memory that return types with arguments of type MemoryKey
Modifier and Type
Method
Description
`static @NotNull Set<MemoryKey>`
MemoryKey.`values()`
Returns the set of all MemoryKeys.